## robocode
Class GunTurnCompleteCondition

    java.lang.Object
      robocode.Condition
          robocode.GunTurnCompleteCondition

public class GunTurnCompleteCondition
extends Condition

A prebuilt condition you can use that indicates your gun has finished rotating.

See Also:
  `Condition`

Field Summary

Fields inherited from class robocode.Condition
`name, priority`

Constructor Summary
`GunTurnCompleteCondition(AdvancedRobot r)` Creates a new GunTurnCompleteCondition with default priority.
`GunTurnCompleteCondition(AdvancedRobot r, int priority)` Creates a new GunTurnCompleteCondition with the specified priority.

Method Summary
`boolean` `test()` Tests if the gun has stopped turning.

Methods inherited from class robocode.Condition
`getName, getPriority, setName, setPriority`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GunTurnCompleteCondition

    public GunTurnCompleteCondition(AdvancedRobot r)

  Creates a new GunTurnCompleteCondition with default priority.

### GunTurnCompleteCondition

    public GunTurnCompleteCondition(AdvancedRobot r,
                                    int priority)

  Creates a new GunTurnCompleteCondition with the specified priority.

Method Detail

### test

    public boolean test()

  Tests if the gun has stopped turning.

  Specified by:
    `test` in class `Condition`
  Returns:
    true if the condition has been met, false otherwise.